# Interface methods for submodule: AutoCropLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ChangeRegionLabelMapFilterProxy as _ChangeRegionLabelMapFilterProxy


# Interface methods for class: AutoCropLabelMapFilter
class AutoCropLabelMapFilterProxy(_ChangeRegionLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetCropBorder(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetCropBorder(self) -> Sequence[int]:
		""""""
		...

